Mike Gerwitz

Activist for User Freedom

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Gerwitz <gerwitm@lovullo.com>2016-03-29 14:22:28 -0400
committerMike Gerwitz <gerwitm@lovullo.com>2016-03-29 14:27:07 -0400
commit768c5d5297a94aa5d918208315d0c1ff117e9639 (patch)
tree60fe6413e1f82e3493937be542af3c693ce63455
parentb77bc57aee9547c8d0c8976c1da58a3b45dffec2 (diff)
downloadliza-768c5d5297a94aa5d918208315d0c1ff117e9639.tar.gz
liza-768c5d5297a94aa5d918208315d0c1ff117e9639.tar.bz2
liza-768c5d5297a94aa5d918208315d0c1ff117e9639.zip
autogen.sh added
* autogen.sh: added * Makefile.am: add autogen.sh to EXTRA_DIST * README.md: reference autogen.sh
-rw-r--r--Makefile.am2
-rw-r--r--README.md2
-rwxr-xr-xautogen.sh28
3 files changed, 30 insertions, 2 deletions
diff --git a/Makefile.am b/Makefile.am
index ee3f93d..c5a95d5 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -25,7 +25,7 @@ namespaces=$(shell find src -type d)
nsindex=$(addsuffix /index.js, $(namespaces))
SUBDIRS = doc
-EXTRA_DIST = src package.json $(path_src)/version.js README.md
+EXTRA_DIST = src package.json $(path_src)/version.js README.md autogen.sh
.PHONY: FORCE todo
diff --git a/README.md b/README.md
index 13957da..873387f 100644
--- a/README.md
+++ b/README.md
@@ -33,7 +33,7 @@ root, then you likely have the sources as committed to the project
repository; you may generate the script by issuing the following command:
```
- $ autoreconf -fvi
+ $ ./autogen.sh
```
You may then see `./configure --help` for more information.
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..433a840
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Autoreconf runner
+#
+# Copyright (C) 2016 LoVullo Associates, Inc.
+#
+# This file is part of liza.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+
+which autoreconf &>/dev/null || {
+ echo "\`autoreconf' not found in PATH"
+ exit 1
+}
+
+exec autoreconf -fvi
+